diff --git a/samples/basic/blink_led/README.rst b/samples/basic/blink_led/README.rst
index 71ce8cc92e97..cd2864b1b8ce 100644
--- a/samples/basic/blink_led/README.rst
+++ b/samples/basic/blink_led/README.rst
@@ -20,37 +20,6 @@ beginning tries to determine what is available for the used PWM hardware,
 and accordingly decreases the maximum PWM period (thus increases the initial
 blinking frequency) if needed.
 
-
-Wiring
-******
-
-Nucleo_F401RE, Nucleo_L476RG, STM32F4_DISCOVERY, Nucleo_F302R8
-==============================================================
-Connect PWM2(PA0) to LED
-
-Nucleo_F103RB
-=============
-Connect PWM1(PA8) to LED
-
-Nucleo_L496ZG
-=============
-No special board setup is necessary because there are three on-board LEDs (red,
-green, blue) connected to the Nucleo's PWM.
-
-Nucleo_H743ZI
-=============
-No special board setup is necessary because the on-board red LED is connected
-to PWM output 12 (channel 1).
-
-Hexiwear K64
-============
-No special board setup is necessary because there is an on-board RGB LED
-connected to the K64 PWM.
-
-nrf52840dk_nrf52840
-===================
-No special board setup is necessary because there is an on-board LED connected.
-
 Building and Running
 ********************
 
@@ -65,3 +34,20 @@ for the nrf52840dk_nrf52840 board:
 
 After flashing the image to the board, the user LED on the board should start to
 blinking as discussed in overview
+
+Alternative configuration for board without on-board LED connected to PWM
+*************************************************************************
+
+If there is no on-board LED connected to a PWM configured PIN on your board,
+you can wire one manually and use a .overlay file to configure LED-PWM driver.
+An example of .overlay file is available in current folder and works with
+nucleo_f401re.
+
+You should build the sample with following command:
+
+.. zephyr-app-commands::
+   :zephyr-app: samples/basic/blink_led
+   :board: nucleo_f401re
+   :gen-args: -DDTC_OVERLAY_FILE="nucleo_f401re.overlay"
+   :goals: build flash
+   :compact:
diff --git a/samples/basic/blink_led/boards/nucleo_f401re.overlay b/samples/basic/blink_led/boards/nucleo_f401re.overlay
new file mode 100644
index 000000000000..ea963fd8274d
--- /dev/null
+++ b/samples/basic/blink_led/boards/nucleo_f401re.overlay
@@ -0,0 +1,24 @@
+/*
+ * Copyright (c) 2019 Linaro Limited
+ *
+ * SPDX-License-Identifier: Apache-2.0
+ */
+
+/ {
+
+	pwmleds {
+		compatible = "pwm-leds";
+
+		fixture_pwm_led: fixture_pwm_led {
+			/* pwm device should match a PWM configured board pin */
+			/* Ex: On nucleo_401re: PA0: pwm2 */
+			pwms = <&pwm2 1 4>;
+		};
+	};
+
+
+	aliases {
+		pwm-led0 = &fixture_pwm_led;
+	};
+
+};
diff --git a/samples/basic/blink_led/src/main.c b/samples/basic/blink_led/src/main.c
index 5160041216f4..806711f85ea8 100644
--- a/samples/basic/blink_led/src/main.c
+++ b/samples/basic/blink_led/src/main.c
@@ -26,7 +26,7 @@
 #define PWM_FLAGS	0
 #endif
 #else
-#error "Choose supported PWM driver"
+#error "No default PWM-LED on board. Checkout README for alternatives"
 #endif
 
 /* in microseconds */
diff --git a/samples/basic/fade_led/README.rst b/samples/basic/fade_led/README.rst
index c321fc2b527c..12c2dc642adb 100644
--- a/samples/basic/fade_led/README.rst
+++ b/samples/basic/fade_led/README.rst
@@ -14,36 +14,6 @@ brightness reduces gradually for 10 seconds and
 finally the LED becomes dark again. The LED will
 repeat this cycle for ever.
 
-Wiring
-******
-
-Nucleo_F401RE, Nucleo_L476RG
-============================
-Connect PWM2(PA0) to LED
-
-Nucleo_F103RB
-=============
-Connect PWM1(PA8) to LED
-
-Nucleo_L496ZG
-=============
-No special board setup is necessary because there are three on-board LEDs (red,
-green, blue) connected to the Nucleo's PWM.
-
-Nucleo_H743ZI
-=============
-No special board setup is necessary because the on-board red LED is connected
-to PWM output 12 (channel 1).
-
-Hexiwear K64
-============
-No special board setup is necessary because there is an on-board RGB LED
-connected to the K64 PWM.
-
-nrf52840dk_nrf52840
-===================
-No special board setup is necessary because there is an on-board LED connected.
-
 Building and Running
 ********************
 
@@ -55,3 +25,20 @@ for the nrf52840dk_nrf52840 board:
    :board: nrf52840dk_nrf52840
    :goals: build flash
    :compact:
+
+Alternative configuration for board without on-board LED connected to PWM
+*************************************************************************
+
+If there is no on-board LED connected to a PWM configured PIN on your board,
+you can wire one manually and use a .overlay file to configure LED-PWM driver.
+An example of .overlay file is available in current folder and works with
+nucleo_f401re.
+
+You should build the sample with following command:
+
+.. zephyr-app-commands::
+   :zephyr-app: samples/basic/blink_led
+   :board: nucleo_f401re
+   :gen-args: -DDTC_OVERLAY_FILE="nucleo_f401re.overlay"
+   :goals: build flash
+   :compact:
diff --git a/samples/basic/fade_led/boards/nucleo_f401re.overlay b/samples/basic/fade_led/boards/nucleo_f401re.overlay
new file mode 100644
index 000000000000..ea963fd8274d
--- /dev/null
+++ b/samples/basic/fade_led/boards/nucleo_f401re.overlay
@@ -0,0 +1,24 @@
+/*
+ * Copyright (c) 2019 Linaro Limited
+ *
+ * SPDX-License-Identifier: Apache-2.0
+ */
+
+/ {
+
+	pwmleds {
+		compatible = "pwm-leds";
+
+		fixture_pwm_led: fixture_pwm_led {
+			/* pwm device should match a PWM configured board pin */
+			/* Ex: On nucleo_401re: PA0: pwm2 */
+			pwms = <&pwm2 1 4>;
+		};
+	};
+
+
+	aliases {
+		pwm-led0 = &fixture_pwm_led;
+	};
+
+};
diff --git a/samples/basic/fade_led/src/main.c b/samples/basic/fade_led/src/main.c
index 3d39055dfbc4..d1ab89024cfd 100644
--- a/samples/basic/fade_led/src/main.c
+++ b/samples/basic/fade_led/src/main.c
@@ -26,7 +26,7 @@
 #define PWM_FLAGS	0
 #endif
 #else
-#error "Choose supported PWM driver"
+#error "No default PWM-LED on board. Checkout README for alternatives"
 #endif
 
 /*
